Invoices

List invoices

GET /v1/invoices

Scope: invoices:read

ParameterInRequired
ownerqueryNo
clientIdqueryNo
locationIdqueryNo
staffIdqueryNo
statusqueryNo
fromqueryNo
toqueryNo
qqueryNo
sortqueryNo
dirqueryNo
limitqueryNo
offsetqueryNo
creditNotesqueryNo
topUpsqueryNo
idsqueryNo

Get an invoice

GET /v1/invoices/{id}

Scope: invoices:read

ParameterInRequired
idpathYes

Check out: issue an invoice and take payment

POST /v1/checkout

Scope: invoices:create

ParameterInRequired
Idempotency-KeyheaderNo
Body fieldTypeRequired
locationIdstring uuidYes
clientIdYes
appointmentIdNo
linesarrayYes
paymentsarrayNo
noteNo
promoCodeNo
billToThirdPartyIdNo
insurancePolicyIdNo
insuranceCaseIdNo
billToClientIdNo
priceListIdNo
issuingCompanyIdNo
invoiceTemplateIdNo
serviceChargeIdsarrayNo
walletIdNo